Copyright: distributable
Source: rhel-sbs-en-%{version}.tbz
Source1: docs.png
Release: 1.TL4
Name: rhel-sbs-en
Group: Documentation
URL: http://www.redhat.com/docs/
Version: 4
Summary: Red Hat Enterprise Linux %{version} Step by Step Guide
BuildArch: noarch
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: htmlview

%description 

This manual is designed to help new and intermediate Linux users navigate and
perform common tasks.

Since Tao Linux contains many of the same software packages as Red Hat
Enterprise Linux, this package has been included in hopes it will be of use.
Thanks to Red Hat, Inc., for publishing their documentation under the terms
of the Open Publication License V1.0; see: http://www.opencontent.org/openpub/.

Tao Linux is not a product of Red Hat, Inc., and is not sponsored by or
otherwise affiliated with Red Hat, Inc.  "Red Hat Enterprise Linux" is a
registered trademark of Red Hat, Inc.

%prep
%define _builddir %(mkdir -p %{buildroot}%{_defaultdocdir} ; echo %{buildroot}%{_defaultdocdir})
%setup -q -c
for i in *
do
if [ -d $i ]; then
   cd $i
   mv -f * ../
   cd ..
   rmdir $i
fi
done

%build
 
%install
cp %{SOURCE1} %{buildroot}%{_defaultdocdir}/%{name}-%{version}/

mkdir -p $RPM_BUILD_ROOT/usr/share/applications/

cat > $RPM_BUILD_ROOT/usr/share/applications/%{name}.desktop <<'EOF'
[Desktop Entry]
Name=Step By Step Guide
Comment=Guide to common GUI apps
Exec=htmlview file:%{_defaultdocdir}/%{name}-%{version}/index.html
Icon=/%{_defaultdocdir}/%{name}-%{version}/docs.png
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}/applications/%{name}.desktop
/%{_defaultdocdir}/%{name}-%{version}

%changelog
* Mon Sep 26 2005 Milan Kerslager <kerslage@linux.cz> 4-3.TL4
- updated from http://www.redhat.com/docs/manuals/enterprise

* Mon Nov 22 2004 John Ha <jha@redhat.com> - 4-3
- typos fixed; considered final

* Mon Oct 18 2004 John Ha <jha@redhat.com> - 4-2
- rebuild for final

* Fri Oct  1 2004 John Ha <jha@redhat.com> 4-1
- build for final

* Thu Aug 26 2004 John Ha <jha@redhat.com> 3.93-1
- build for beta

* Mon Sep 29 2003 Tammy Fox <tfox@falcon.rdu.redhat.com> 3-1
- build final version

* Fri Jul 25 2003 Tammy Fox <tfox@redhat.com> 2.9.5-1
- build for beta

